package jeux.entities;

import jeux.jeu.World;

/**
 * @author jub
 * Un monstre avec un dplacement horizontal
 */
public class Monster extends Entity {

	/**
	 * La vitesse de dplacement horizontale
	 */
	private int vx;
	
	/**
	 * Consrtuit un monstre qui part vers la droite et dont le sprite est alien.gif.
	 * @param world le monde du monstre.
	 */
	public Monster(World world) {
		super(world);
		this.spriteName="sprites/alien.gif";
		this.vx =1;
		
	}
	
	@Override
	public void act()
	{
		
			
			if (x > world.getWidth() - this.getWidth())
			{
				vx = -1;
			}
			if (x<0)
			{
				vx = +1;
			}
			x = x + speed * vx ;
		
	}

}
